/**
 *
 * 移动端底部抽屉选择器
 * @author yyq
 * @CSDN 慕云枫
 * @date 2023-12-07
 * @version 1.5
 */
ul,li{
	margin: 0;
	padding: 0;
}

/** 主体块*/
.lay-picker {
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	z-index: 99999999999999;
	display: none;
	overflow: hidden;
}

/** 遮罩*/
.lay-picker-shade {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, .4);
	z-index: 9;
}


/** 内容块*/
.lay-picker-container {
	position: absolute;
	left: 0;
	bottom: 0;
	z-index: 99;
	width: 100%;
	background: #fff;
	color: #333;
	font-size: 17px;
	-webkit-transition: transform .25s;
	-webkit-transform: translate3d(0, 100%, 0);
	transition: transform .25s;
	transform: translate3d(0, 100%, 0);
}

.lay-picker-header {
	/*background: #f9f9f9;*/
	height: 50px;
	line-height: 50px;
	border-bottom: 1px solid #f3f3f3;
	margin-bottom: 1px;
	margin: 0px 15px;
}

.lay-picker-title {
	text-align: center;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 9;
	width: 100%;
	color: #333;
}

.lay-picker-search{
    margin: 0px 15px;
    text-align: center;
    padding: 5px 0;
}

.lay-picker-search input{
	text-align: center;
    height: 40px;
    line-height: 40px;
    border: none;
    border-bottom: 1px solid #f3f3f3;
    transition: all .2s;
    -webkit-transition: all .2s;
    box-shadow: none!important;
    font-size: 14px;
}
.lay-picker-search input:hover,
.lay-picker-search input:focus{
    border: none!important;
    border-bottom: 1px solid #e5e5e5!important;
}


.lay-picker-btn {
	position: relative;
	z-index: 99;
}

.lay-picker-cancel {
	color: #333;
}

.lay-picker-confirm {
	float: right;
	color: #228fff;
}

.lay-picker-shadowup,
.lay-picker-shadowdown {
	height: 120px;
	width: 100%;
	position: absolute;
	left: 0;
	z-index: 50;
}

.lay-picker-shadowup {
	height: 115px;
	top: -1px;
	background: -webkit-linear-gradient(to bottom, #FFF, rgba(255, 255, 255, .6));
	background: linear-gradient(to bottom, #FFF, rgba(255, 255, 255, .6));
	pointer-events: none;
	border-bottom: 1px solid #efefef;
}

.lay-picker-shadowdown {
	height: 130px;
	bottom: 0;
	background: -webkit-linear-gradient(to top, #FFF, rgba(255, 255, 255, .6));
	background: linear-gradient(to top, #FFF, rgba(255, 255, 255, .6));
	pointer-events: none;
	border-top: 1px solid #efefef;
}

.lay-picker-content {
	position: relative;
	height: 300px;
	margin: 15px;
    overflow: hidden;
}

.lay-picker-box {
	overflow: hidden;
}

.lay-picker-box:after {
	display: table;
	height: 0;
	clear: both;
	content: '';
}

.lay-picker-list-wrap {
	float: left;
	height: 300px;
	overflow: hidden;
	-webkit-transition: width .2s;
	transition: width .2s;
}

.lay-picker-list-wrap ul {
	position: relative;
	padding: 100px 0;
	margin-top: 17px;
	-webkit-transition: transform .1s ease-out;
	transition: transform .1s ease-out;
}

.lay-picker-list-wrap ul:after {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 55;
	content: '';
}

.lay-picker-list-wrap li {
	line-height: 50px;
	height: 50px;
	text-align: center;
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
}


/** 样式二*/
.lay-picker-bottom {
	text-align: center;
	margin-top: 10px;
	margin-bottom: 30px;
	font-size: 16px;
}

.lay-picker-bottom-btn {
	border-radius: 6px;
	display: inline-block;
	width: 30%;
	height: 40px;
	line-height: 40px;
}

.lay-picker-bottom-btn-cancel {
	color: #333;
	background: #efefef;
	margin-right: 3%;
}

.lay-picker-bottom-btn-confirm {
	color: #fff;
	background: #33c119;
}
